# Report an event on a customer evaluation Reports an event on a `CustomerEvaluation` object. ## Request ```curl curl https://api.stripe.com/v1/radar/customer_evaluations/cuseval_123456789/report \ -u "<>" \ -d type=registration_success ``` ### Response ```json { "id": "cuseval_123456789", "object": "radar.customer_evaluation", "event_type": "registration", "livemode": true, "created_at": 1715769600, "customer": "cus_123456789", "events": [ { "type": "registration_success", "occurred_at": 1715779600 } ], "signals": { "multi_accounting": { "score": 50.1, "evaluated_at": 1715769600, "risk_level": null } } } ``` ## Returns Returns the `CustomerEvaluation` object if reporting succeeds. ## Parameters - `customer_evaluation` (string, required) The ID of the customer evaluation to report the outcome on. - `customer` (string, optional) The ID of a Customer to attach to an entity-less registration evaluation. - `status` (enum, optional) The outcome status of the evaluation: allowed, restricted, or blocked. Possible enum values: - `allowed` - `blocked` - `restricted`